Upload Audio
POST/v1/audio
Upload audio file asset to our storage for further batch analysis and search applications.
This endpoint returns a unique asset_id corresponding to the uploaded audio asset.
Your audio asset will be securely stored and available for metadata or preview retrieval.
Requirements:
- Either
fileORaudio_urlmust be provided (not both) - If
audio_urlis provided, it must be a valid URL - If
user_metadatais provided, it must be valid JSON
Examples:
Upload audio file with metadata:
curl -X POST "https://$API_DNS/v1/audio" \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "file=@/path/to/your/audio.mp3" \
-F "user_metadata={\"title\":\"My Song\",\"artist\":\"John Doe\",\"genre\":\"rock\"}"
Upload from URL with metadata:
curl -X POST "https://$API_DNS/v1/audio" \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "audio_url=https://cdn.freesound.org/previews/806/806702_5287430-lq.mp3" \
-F "user_metadata={\"title\":\"Remote Song\",\"source\":\"external\"}"
Request
Responses
- 200
- 422
- 429
Successful Response
Validation Error
Too Many Requests - Rate limit exceeded. Retry after the time specified in the Retry-After header.